Follow

Yesterday's version might have introduced a new type of crash, sorry! This new version 0.1903.20-beta fixes that.

gitlab.com/staltz/manyverse/bl

@manyver_se silly question: I can't seem to be able to upgrade an #FDroid install using #DatInstaller - is that expected?

@steko That's expected because F-Droid builds the app and signs it differently than Dat Installer (if I'm not mistaken, this problem also exists between F-Droid and Google Play). Also don't uninstall / re-install, as you *will* lose your account if you do that. F-Droid will soon have version 0.1903.20, they build every 3 days or so.

@steko In the future Manyverse will store your core account in a user directory independent from any apps, so that even if you uninstall, you won't lose your account. For now, it's sensitive.

@manyver_se @steko Would that directory contain only ~/.ssb/secret or the whole Flume+blob database?

I'm fairly sure dropping both outside the root-only area is a good thing for many purposes though, as SSBdb is just a db.

@Parnikkapore @steko The directory should contain at least .ssb/secret, .ssb/gossip.json, and .ssb/conn.json

Fully agree it should be in a non-root directory, we just need to figure out password protection for the secret file

@manyver_se I was careful enough not to uninstall (since I've been bitten in the past). No rush however! Thank you

Sign in to participate in the conversation
Fosstodon

Fosstodon is an English speaking Mastodon instance that is open to anyone who is interested in technology; particularly free & open source software.